> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User Email

> Delete an email from the associated user.
## Returns

A successful response returns an object with `message` and `user_id` properties.



## OpenAPI

````yaml delete /v1/auth/users/emails/{email_id}/delete
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/auth/users/emails/{email_id}/delete:
    parameters:
      - schema:
          type: string
        name: email_id
        in: path
        required: true
        description: Unique ID of the email to be deleted.
    delete:
      tags:
        - Users
      summary: Delete User Email
      description: >-
        Delete an email from the associated user.

        ## Returns


        A successful response returns an object with `message` and `user_id`
        properties.
      operationId: DeleteUserEmail
      responses:
        '200':
          description: Delete User Email response
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                    description: Success message of the action.
                  user_id:
                    type: string
                    minLength: 1
                    description: Unique User ID of the deleted user email.
                required:
                  - message
                  - user_id
              examples:
                DeleteUserEmailResp:
                  value:
                    message: Successfully deleted user email
                    user_id: user_24wFP9pDa9YiMJLun94iKykoZs2
          headers: {}
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````